// bibli_C.cpp - Biblioteca de C
#include <iostream>

// Prototipo de la función C
extern "C" void cuadrados(int[], int);

int main()
{
  int nro[20], i = 0, r = 0;

  // Leer números de la entrada estándar
  printf("Para finalizar introduzca el carácter eof\n\n");
  printf("Introduzca números\n");
  while (i < 20 && r != EOF)
  {
   r = scanf("%d", &nro[i++]);
   if (r == 0) { --i; fflush(stdin); }
  }
  
  // Visualizar los números y sus cuadrados
  // utilizando la función "cuadrados" estilo C
  printf("%d\n", i-1);
  cuadrados(nro, i-1);
  printf("\nproceso finalizado\n");
  return 0;
}

